@import url('https://fonts.googleapis.com/css2?family=Dancing+Script:wght@500&family=Montserrat:wght@600&family=Open+Sans:wght@400;500;600;700&family=Overpass:ital@1&family=Pacifico&family=Source+Serif+Pro:ital,wght@0,400;0,600;1,600&family=Ubuntu:wght@400;500;700&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none; 
    text-decoration: none;   
}
html{
    scroll-behavior: smooth;
}
.max-width {                    /*((dot).className)  use in class*/
    max-width: 1400px;            
    padding: 0 80px;
    margin: auto;
}
/* navbar styling */
.navbar {
    position: fixed;
    width: 100%;
    z-index: 999;
    padding: 30px 0;
    /* background: rgb(154, 33, 124);            */
    font-family: 'Ubuntu', sans-serif;
    transition: all 0.4s ease;
}
.navbar.sticky{
    padding: 15px 0;
    background: crimson;
}
.navbar .max-width{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.navbar .logo a {
    color: #fff;
    font-size: 35px;
    font-weight: 600;
}
.navbar .logo a span{
    color: crimson;
    transition: all 0.4s ease;
}
.navbar.sticky .logo a span{
    color: #fff;
}
.navbar .menu li{
    list-style: none;
    display: inline-block;
}
.navbar .menu li a{
    display: block;
    color: #fff;
    font-size: 18px;
    font-weight: 500;
    margin-left: 25px;
    transition: color 0.3s ease;
}
.navbar .menu li a:hover{
    color: crimson;
}
.navbar.sticky li a:hover{
    color: #fff;
}

/* menu btn */
.menu-btn{
    color: #fff;
    font-size: 23px;
    cursor: pointer;
    display: none;
}
.scroll-up-btn {
    position: fixed;
    height: 45px;
    width: 42px;
    background: crimson;
    right: 25px;
    bottom: 15px;
    text-align: center;
    line-height: 45px;   
    color: #fff;
    z-index: 9999;
    font-size: 25px;
    border-radius: 10px;
    cursor: pointer;
    opacity: 0;
    pointer-events: none;
    transition: all 0.3s ease;
}

.scroll-up-btn.show {
    bottom: 20px;
    opacity: 1;
    pointer-events: auto;
}

.goTop{
    position: fixed;
    background-color: crimson;
    color: #121518;
    width: 45px;
    height: 45px;
    right: 25px;
    bottom: 25px;
    text-align: center;
    font-size: 20px;
    border-radius: 50px;
    display: none;
}

/* homo */
.home{
    display: flex;
    background: url("Image/Background.jpg") no-repeat center;
    height: 100vh;
    background-attachment: fixed;
    background-size: cover;
    color: #fff;
    min-height: 500px;
    font-family: 'Ubuntu', sans-serif;
}
.home .max-width{
    margin: auto 0 auto 40px;
}
.home .home-contect .text-1{
    font-size: 30px;             /*  ch */
}
.home .home-contect .text-2{
    font-size: 75px;
    font-weight: 600;
    margin-left: -3px;
}
.home .home-contect .text-3{
    padding-top: 5px;
    font-size: 30px;            
    margin-left: 5px 0;
}
.home .home-contect .text-4{
    margin: 20px 0;
}
.home .home-contect .text-4 span{  
    font-size: 40px;        
    color: crimson;
    font-weight: 570;
    letter-spacing: 1.5px;
    /* line-height: 80px; */
}
.home .home-contect a{
    display: inline-block;
    background: crimson;
    color: #fff;
    font-size: 25px;
    padding: 12px 36px;
    margin-top: 20px;
    border-radius: 11px;
    border: 2px solid crimson;
    transition: all 0.4s ease;
}
.home .home-contect a:hover{
    color: crimson;
    background: none;
}

/* all similar content */
section{                    /*directly in tag*/
    padding: 80px 0;            /*ch*/
}
.about, .services, .skills, .teams, .contact, .footer{
    font-family: 'Poppins', sans-serif;
}
.about .about-contect,
.services .serv-contect,
.skills .skills-content,
.contact .contact-content{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
}
section .title{
    position: relative;
    text-align: center;
    font-size: 40px;
    font-weight: 500;              /*ch*/
    margin-bottom: 40px;            /*ch*/
    padding-bottom: 15px;           /*ch*/
    font-family: 'Ubuntu', sans-serif;
}
section .title::before{
    content: "";
    position: absolute;
    bottom: -10px;
    left: 50%;
    width: 185px;
    height: 3px;
    background: #111;
    transform: translateX(-50%);
}
section .title::after{
    /* content: "who I am"; */
    position: absolute;
    bottom: -20px;
    left: 50%;
    font-size: 22px;
    color: crimson;
    padding: 5px;
    background: #fff;
    transform: translateX(-50%);
}

/* about */
.about .title::after{
    content: "who I am";
}
.about .about-contect .left{
    width: 45%;
}
.about .about-contect .left img{
    height: 400px;
    width: 400px;
    object-fit: cover;
    border-radius: 11px;
}
.about .about-contect .right{
    width: 55%;
}
.about .about-contect .right .text{
    font-size: 25px;
    font-weight: 600;
    margin-bottom: 10px;
}
.about .about-contect .right .text span{
    color: crimson;
}
.about .about-contect .right p{
    text-align: justify;
    letter-spacing: 0.7px;
    line-height: 28px;
}
.about .about-contect .right a{                 /*button*/
    display: inline-block;
    background: crimson;
    color: #fff;
    font-size: 20px;
    font-weight: 500;
    padding: 10px 30px;
    margin-top: 20px;
    border-radius: 9px;
    border: 2px solid crimson;
    transition: all 0.4s ease;
}
.about .about-contect .right a:hover{
    color: crimson;
    background: none;
}

/* ..services.. */
.services, .teams{
    color: #fff;
    background: #111;
}
.services .title::before,
.teams .title::before{
    background: #fff;
    /* width: 230px; */
    /* height: 3px; */
}
.services .title::after,
.teams .title::after{
    background: #111;
    content: "provides";
}
.services .serv-contect .card {
    width: calc(33% - 20px);
    background: #333;
    text-align: center;
    border-radius: 6px;
    padding: 20px 25px;
    cursor: pointer;
    transition: all 0.4s ease;
}
.services .serv-contect .card:hover{
    background: crimson;
}
.services .serv-contect .card .box {
    transition: all 0.4s ease;
}
.services .serv-contect .card:hover .box {
    transform: scale(1.1);
}
.services .serv-contect .card i {
    font-size: 40px;
    color: crimson;
    transition: color 0.4s ease;
}
.services .serv-contect .card:hover i{
    color: #fff;
}
.services .serv-contect .card .text {
    font-size: 25px;
    font-weight: 700;
    margin: 10px 0 7px 0;
}

/* skills */
.skills .title::after{
    content: "What I know";
}
.skills .skills-content .column{
    width: calc(50% - 30px);
}
.skills .skills-content .left .text{
    font-size: 22px;
    font-weight: 600;
    margin-bottom: 10px;
}
.skills .skills-content .left p{
    text-align: justify;
}
.skills .skills-content .left a{
    display: inline-block;
    background: crimson;
    color: #fff;
    font-size: 15px;
    font-weight: 500;
    padding: 7px 17px;
    margin-top: 20px;
    border-radius: 7px;
    border: 2px solid crimson;
    transition: all 0.4s ease;
}
.skills .skills-content .left a:hover{
    color: crimson;
    background: none;
}
.skills .skills-content .right .bars{
    margin-bottom: 17px;
}
.skills .skills-content .right .info{
    display: flex;
    margin-bottom: 5px;
    align-items: center;
    justify-content: space-between;
}
.skills .skills-content .right span{
    font-weight: 500;
    font-size: 18px;
}
.skills .skills-content .right .line{
    height: 5px;
    width: 100%;
    background: lightgrey;
    position: relative;
}
.skills .skills-content .right .line::before{
    content: "";
    position: absolute;
    height: 100%;
    width: 80%;
    left: 0;
    top: 0;
    background: crimson;
}
.skills .skills-content .right .Java::before {
    width: 80%;
}
.skills .skills-content .right .CPP::before {
    width: 60%;
}
.skills .skills-content .right .HTML::before {
    width: 70%;
}
.skills .skills-content .right .CSS::before {
    width: 50%;
}
.skills .skills-content .right .Javascript::before {
    width: 50%;
}

/* teams */
.teams .title::after{
    content: "who with me";
}
.teams .carousel .card{
    background: #222;
    border-radius: 6px;
    padding: 25px 35px;
    transition: all 0.3s ease;
}
.teams .carousel .card:hover{
    background: #111;
}
.teams .carousel .card .box{
   display: flex;
   flex-direction: column;
   align-items: center;
   justify-content: center;
   text-align: center;
   transition: all 0.3s ease;

}
.teams .carousel .card:hover .box{
    transform: scale(1.1);
}
.teams .carousel .card img{
    height: 150px;
    width: 150px;
    object-fit: cover;
    border-radius: 50%;
    border: 4px solid crimson;
    transition: all 0.3s ease;

}
.teams .carousel .card .text{
    font-size: 25px;
    font-weight: 500;
    margin: 10px 0 7px 0;
}
.teams .carousel .card:hover img{
    border-color: chartreuse;
}
.owl-dots{
    text-align: center;
    margin-top: 20px;
}
.owl-dot{
    height: 13px;
    width: 13px;
    margin: 0 5px;
    outline: none!important;
    border-radius: 50%;
    border: 2px solid crimson!important;
}
.owl-dot.active{
    width: 25px;
    border-radius: 14px;
}
.owl-dot.active, 
.owl-dot:hover{
    background: rgb(183, 44, 72)!important;
}

/* contact */
.contact .title::after{
    content: "get in touch";
}
.contact .contact-content .column{
    width: calc(50% - 30px);
}
.contact .contact-content .text{
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 20px;
}
.contact .contact-content .left p{
    text-align: justify;
}
.contact .contact-content .left .icons{
    margin: 10px 0;
}
.contact .contact-content .row{
    display: flex;
    height: 65px;
    align-items: center;
}
.contact .contact-content .row .info{
    margin-left: 30px;
}
.contact .contact-content .row i{
    font-size: 25px;
    color: crimson;
}
.contact .contact-content .info .head{
    font-weight: 500;
}
.contact .contact-content .info .sub-title{
    color: #333;
}
.contact .right form .fields{
    display: flex;
}
.contact .right form .field,
.contact .right form .fields .field{
    height: 45px;
    width: 100%;
    margin-bottom: 20px;
}
.contact .right form .field .textarea{
    height: 80px;
    width: 100%;
}
.contact .right form .name{
    margin-right: 10px;
}
.contact .right form .email{
    margin-left: 10px;
}
.contact .right form .field input,
.contact .right form .textarea textarea  {
     height: 100%;
     width: 100%;
     border: 1px solid lightgray;
     border-radius: 6px;
     outline: none;
     padding: 0 15px;
     font-size: 17px;
     font-family: 'Poppins', sans-serif;
}
.contact .right form .textarea textarea{
    padding-top: 10px;
    resize: none;
}
.contact .right form .button{
    height: 47px;
    width: 170px;
}
.contact .right form .button button{
    width: 100%;
    height: 100%;
    border: 2px solid crimson;
    background: crimson;
    color: #fff;
    font-size: 20px;
    font-weight: 500;
    border-radius: 6px;
    cursor: pointer;
    transition: all 0.3s ease;
}
.contact .right form .button button:hover{
    color: crimson;
    background: none;
}
.contact .wrapper {
    display: flex;
    position: absolute;
    justify-content: center;
    align-items: center;
    padding-top: 50px;
    color: crimson;

    padding-bottom: 10px;
    left: 50%;
    transform: translate(-50%, -50%);
} 
.contact .wrapper .icon {
    margin: 0 20px;
}
/* .contact .wrapper .icon:hover a{
    color: crimson;
} */

.contact .wrapper a {
    height: 55px;
    width: 55px;
    display: block;
    background: rgb(238, 234, 234);
    text-align: center;
    border-radius: 50px;
    line-height: 62px;
    box-shadow: 0 5px 2px rgba(0,0,0,0.2);

}
.contact .wrapper a i {
    font-size: 25px;
    transition: all 0.3s linear;
    /* line-height: 54px; */
} 
.contact .wrapper a:hover i {
    transform: scale(1.225);
}
.fa-twitter {
    color: rgb(38, 154, 226);
}
.fa-linkedin {
    color: rgb(44, 85, 189);
}
.fa-facebook {
    color:rgb(52, 32, 232);
}
.fa-instagram {
    color:rgb(183, 44, 72);
}
.fa-github {
    color: rgb(44, 41, 41);
}


/* footer */
footer {
    background: #111;
    padding : 25px 55px;
    color: #fff;
}
footer span a{
    color: crimson;
    text-decoration: none;
}
footer span a:hover{
    text-decoration: underline;
}













/* responsive media query start */
@media (max-width: 1300px) {
    .home .max-width{
        margin-left: 0px;
    }
}
@media (max-width: 1104px) {
    .about .about-contect .left img{
    height: 350px;
    width: 350px;
    }
}
@media (max-width: 991px) {
    .max-width {
        padding: 0 50px;
    }
}
@media (max-width: 947px) {
    /* .max-width {
        padding: 0 50px;
    } */
    .menu-btn{
        display: block;
        z-index: 999;
    }
    .menu-btn i.active:before{
        content: "\f00d";
    }
    .navbar .menu{
        position: fixed;
        height: 100vh;
        width: 100%;
        left: -100%;
        top: 0;
        background: #111;
        text-align: center;
        padding-top: 80px;
        transition: all 0.3s ease;
    }
    .navbar .menu.active{
        left: 0;
    }
    .navbar .menu li{
        display: block;
    }
    .navbar .menu li a{
        display: inline-block;
        margin: 20px 0;
        font-size: 25px;
    }
    .home .home-contect .text-2{
        font-size: 70px;
    }
    .home .home-contect .text-3{
        font-size: 35px;
    }
    .home .home-contect a{
        font-size: 20px;
        padding: 10px 30px;
    }
    .max-width{
        max-width: 800px;
    }
    .about .about-contect .column{
        width: 100%;
    }
    .about .about-contect .left {
       display: flex;
       justify-content: center;
       margin: 0 auto 60px;
    }
    .about .about-contect .right{
        flex: 100%;
    }
    .services .serv-contect .card {
        width: calc(50% - 10px);
        margin-bottom: 20px;
    }
    .skills .skills-content .column,
    .contact .contact-content .column {
        width: 100%;
        margin-bottom: 30px;
    }
    .contact .wrapper .icon {
        margin: 0 5px;
    }
}
@media (max-width: 690px){
    .max-width {
        padding: 0 32px;
    }
    .home .home-contect .text-2{
        font-size: 60px;
    }
    .home .home-contect .text-3{
        font-size: 32px;
    }
    .home .home-contect a{
        font-size: 23px;
        padding: 10px 30px;
    }
    .services .serv-contect .card{
        width: 100%;
    }
    .contact .wrapper .icon {
        margin: 0 5px;
    }
}
@media (max-width: 500px){
    .home .home-contect .text-2{
        font-size: 50px;
    }
    .home .home-contect .text-3{
        font-size: 27px;
    }
    .contact .wrapper .icon {
        margin: 0 5px;
    }
}